#ifndef GRIDACCOUNT_H
#define GRIDACCOUNT_H

#include <wx/wx.h>
#include <wx/grid.h>
#include <list>
#include "AccountPanel.h"

class GridAccount : public wxGrid
{
public:
  GridAccount(wxWindow *parent, wxWindowID id) : wxGrid(parent, id) {}
  wxPen GetColGridLinePen (int col) {return wxPen(*wxBLACK, 1, wxSOLID);} 
  wxPen GetRowGridLinePen (int row) {
    if (row == 0 || row == _fixCosts ||
	row == (_fixCosts + _week1) ||
	row == (_fixCosts + _week2) ||
	row == (_fixCosts + _week3))
      return wxPen(*wxBLACK, 1, wxSOLID);

    if (row <= _fixCosts)
      return wxPen(OWN_YELLOW, 1, wxSOLID);

    return wxPen(OWN_GREEN, 1, wxSOLID);
  } 

  int _fixCosts;
  int _week1, _week2, _week3;
private:
  std::list<int> _col;
};
#endif
